Show / Hide Table of Contents

# TriggerEvent<T> Struct

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public struct TriggerEvent<T>

#### Type Parameters

`T`

### Members

#### Methods

Name | Description
--- | ---
Add(ITriggerHandler<T>) |
Remove(ITriggerHandler<T>) |
SetCanceled(CancellationToken) |
SetCompleted() |
SetError(Exception) |
SetResult(T) |

### Methods

#### Add(ITriggerHandler<T>)

    public void Add(ITriggerHandler<T> handler)

##### Parameters

`handler` ITriggerHandler<T>

#### Remove(ITriggerHandler<T>)

    public void Remove(ITriggerHandler<T> handler)

##### Parameters

`handler` ITriggerHandler<T>

#### SetCanceled(CancellationToken)

    public void SetCanceled(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

#### SetCompleted()

    public void SetCompleted()

#### SetError(Exception)

    public void SetError(Exception exception)

##### Parameters

`exception` Exception

#### SetResult(T)

    public void SetResult(T value)

##### Parameters

`value` T